<?php
session_start();
require('../Operaciones/Sentencias_Estadistica.php');
if(isset($_SESSION['Login'])){
$Id	=$_SESSION['Login'];
}else {
	session_start();
	session_destroy();
	header('location: ../index.php?error=acceso');
}
$L_Mun=$_GET['Lista'];
$Anio=$_GET['Anio'];
$Esta_Basica= new Estadistica_C();
$dato=$Esta_Basica->Estadistica($L_Mun, $Anio);
$Lista_D=[];
$Cont=0;
while ($row=$dato->fetch_assoc()){	$Lista_D[$Cont]=array('Nombre'=>$row['nombre'],'Mov'=>$row['Mov'],'Ene'=>$row['Ene'],'Feb'=>$row['Feb'],'Mar'=>$row['Mar'],'Abr'=>$row['Abr'],'May'=>$row['May'],'Jun'=>$row['Jun'],'Jul'=>$row['Jul'],'Ags'=>$row['Ags'],'Sep'=>$row['Sep'],'Oct'=>$row['Oct'],'Nov'=>$row['Nov'],'Dic'=>$row['Dic'],'Anio'=>$row['Anio']);
	$Cont++;
}

function List_Ver($Lista){
	echo '<table><tbody><thead><tr><th width="14%">Municipio</th><th width="7%">Año</th><th width="6%">Ene</th><th width="6%">Feb</th><th width="7%">Mar</th><th width="6%">Abr</th><th width="7%">May</th><th width="5%">Jun</th><th width="5%">Jul</th><th width="6%">Ags</th><th width="6%">Sep</th><th width="6%">Oct</th><th width="7%">Nov</th><th width="6%">Dic</th><th width="6%">Tot</th></tr></thead>';
	foreach($Lista as $Val=>$key) {		
	echo '<tr><td>'.$key['Nombre'].'</td><td>'.$key['Anio'].'</td><td>'.$key['Ene'].'</td><td>'.$key['Feb'].'</td><td>'.$key['Mar'].'</td><td>'.$key['Abr'].'</td><td>'.$key['May'].'</td><td>'.$key['Jun'].'</td><td>'.$key['Jul'].'</td><td>'.$key['Ags'].'</td><td>'.$key['Sep'].'</td><td>'.$key['Oct'].'</td><td>'.$key['Nov'].'</td><td>'.$key['Dic'].'</td><td>'.$key['Mov'].'</td></tr>';
	}
    echo '</tbody></table>';
}
$Lista = json_encode($Lista_D);
?>
<head>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<link href="../Diseno/Grafica.css" rel="stylesheet" type="text/css">
<meta charset="utf-8">
<html>
<script type="text/javascript">
	
	const Exp_excel=()=>{
		let Lista_ = <?php echo $L_Mun; ?>;
		let Anio_ = <?php echo $Anio; ?>;
		window.open("Exporta.php?Lista="+Lista_+"&Anio="+Anio_+"&Folio="+Math.random());
	}
	let Lista_ =JSON.parse('<?php echo $Lista; ?>'); 
	let Anio = <?php echo $Anio; ?>;
	let Ene=[];
	let Feb=[];
	let Mar=[];
	let Abr=[];
	let May=[];
	let Jun=[];
	let Jul=[];
	let Ags=[];
	let Sep=[];
	let Oct=[];
	let Nov=[];
	let Dic=[];
      google.charts.load('current', {'packages':['line']});
      google.charts.setOnLoadCallback(drawChart);
      function drawChart() {
        let data = new google.visualization.DataTable();
		  data.addColumn('string', 'Meses - Año '+Anio);
		  for (let Reg =0; Reg < (Lista_.length); Reg++ )
			  {
				  data.addColumn('number', Lista_[Reg]['Nombre']);
				  Ene[Reg]=parseInt(Lista_[Reg]['Ene']);
				  Feb[Reg]=parseInt(Lista_[Reg]['Feb']);
				  Mar[Reg]=parseInt(Lista_[Reg]['Mar']);
				  Abr[Reg]=parseInt(Lista_[Reg]['Abr']);
				  May[Reg]=parseInt(Lista_[Reg]['May']);
				  Jun[Reg]=parseInt(Lista_[Reg]['Jun']);
				  Jul[Reg]=parseInt(Lista_[Reg]['Jul']);
				  Ags[Reg]=parseInt(Lista_[Reg]['Ags']);
				  Sep[Reg]=parseInt(Lista_[Reg]['Sep']);
				  Oct[Reg]=parseInt(Lista_[Reg]['Oct']);
				  Nov[Reg]=parseInt(Lista_[Reg]['Nov']);
				  Dic[Reg]=parseInt(Lista_[Reg]['Dic']);
			  }
		  Ene.unshift('Ene');
		  Feb.unshift('Feb');
		  Mar.unshift('Mar');
		  Abr.unshift('Abr');
		  May.unshift('May');
		  Jun.unshift('Jun');
		  Jul.unshift('Jul');
		  Ags.unshift('Ags');
		  Sep.unshift('Sep');
		  Oct.unshift('Oct');
		  Nov.unshift('Nov');
		  Dic.unshift('Dic');
      data.addRows([
        Ene,Feb,Mar,Abr,May,Jun,Jul,Ags,Sep,Oct,Nov,Dic
      ]);

      let options = {
        chart: {
          title: 'Gráfica de expedición de Guías'+' Datos del Año '+Anio,
          subtitle: 'Cantidad de folios por mes'
        },
        width: 955,
        height: 450
      };

      let chart = new google.charts.Line(document.getElementById('Graf_00'));

      chart.draw(data, google.charts.Line.convertOptions(options));
	  }
    </script>
<body>
<p><div id="Cabecera"><h3>.: Gráfica de expedición de Guias :. </h3><hr></div></p>
<div id="General">
  <div id="Graf_00"></div>
  <div align="right"> Exportación : <img src="../Diseno/Exp_Excel.png" width="45" height="47" alt="" style="vertical-align: middle" onClick="Exp_excel()" /></div>
<div id="Tabla"><?php List_Ver($Lista_D); ?></div> 
   </div>
</body>
</html>
